import { FestivalTypes } from '../types';

declare const _default: import('vue').DefineComponent<{}, {
    weekList: string[];
    checkedWeeks: import('vue').Ref<string[]>;
    weekCheckAll: import('vue').Ref<boolean>;
    isWeekIndeterminate: import('vue').Ref<boolean>;
    datesCheckedList: import('vue').Ref<string[][]>;
    dates: import('vue').Ref<string[]>;
    holidaysMap: import('vue').Ref<{
        [festivalType: string]: string[];
    }>;
    holidayActive: import('vue').Ref<number[]>;
    FestivalTypes: typeof FestivalTypes;
    addDateItem: () => void;
    deleteDateItem: (index: number) => void;
    handleCheckAllChange: (val: boolean) => void;
    handleCheckedWeeksChange: () => void;
    disabledDate: (time: Date) => boolean;
    reset: () => void;
    handleHolidaysChange: (key: string | number, index: number) => void;
    handleDateItemChange: (index: number) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{}>>, {}, {}>;
export default _default;
